Subject: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 12 Jun 2013 13:29:06 +0900

Katsumi Yamaoka wrote:
> Bootstrap got to fail on Cygwin since yesterday.  An error occurs
> at least when performing batch-update-autoloads as follows:

> [...]
> Wrote /Work/emacs/lisp/mh-e/mh-loaddefs.el
> (No changes need to be saved)
> EMACSLOADPATH=/Work/emacs/lisp LC_ALL=C /Work/emacs/src/bootstrap-emacs.exe \
>  -batch --no-site-file --no-site-lisp -l autoload \
>  --eval "(setq generate-autoload-cookie \";;;###tramp-autoload\")" \
>  --eval "(setq generated-autoload-file (unmsys--file-name
> \"/Work/emacs/lisp/net/tramp-loaddefs.el\"))" \
>  --eval "(setq make-backup-files nil)" \
>  -f batch-update-autoloads /Work/emacs/lisp/net
> GLib (gthread-posix.c): Unexpected error from C library during
> pthread_setspecific': Invalid argument.  Aborting.
> Makefile:392: recipe for target `/Work/emacs/lisp/net/tramp-loaddefs.el' failed
> make[3]: *** [/Work/emacs/lisp/net/tramp-loaddefs.el] Aborted
> [...]
> make: *** [bootstrap] Error 2

After that I tried `make -k' for four times and I got to get no
such error.  Though it must not be a right solution, the built
one works so far.  In the early three `make -k', the error
happened when byte-compiling an *.el file, but each time an *.el
file causing the error varied.  So, this isn't due to a Lisp code,
I guess.  For instance, one happened when compiling nntp.el, but
I can build Ma Gnus (from the Git master) without causing such
an error using this Emacs.  Anyway I will report it again if I
have a chance to get a C backtrace or other.

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
 of 2013-06-12 on localhost
Bzr revision: 112936 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11401000
Configured using:
 `configure --verbose --with-x-toolkit=lucid --without-imagemagick
 --without-dbus --without-gconf --without-gsettings'